Bug 98636 - GtkSalMenu: Submenus state isn't fully updated when item becomes visible during status update
Summary: GtkSalMenu: Submenus state isn't fully updated when item becomes visible duri...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-13 20:38 UTC by Maxim Monastirsky
Modified: 2016-10-25 19:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Monastirsky 2016-03-13 20:38:18 UTC
1. Make sure you're using GtkSalMenu (recent gtk3 or Ubuntu global menu).
2. Open Writer.
3. Look at Tools->Macros menu.
4. Enable macro recording.
5. Look again at Tools->Macros menu:
   - The 2nd item is now "Record Macro", but it still have the submenu.
   - The 3rd item "Organize Macros" has submenu as expected, but it's empty. (The last part suggests that we do need recursive update, at least when an item didn't have submenu and now has, unlike I hoped in 2abdcfd641883f246fe78f2fbe38499c9382c059)
Comment 1 Commit Notification 2016-03-15 11:19:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=66db55aa84e8401a9eccedb02c67150833a344ba

Resolves: tdf#98636

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Caolán McNamara 2016-03-15 11:21:28 UTC
Seems to work happily now.
Comment 3 Commit Notification 2016-05-06 14:51:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d20e08a3ab819ac24f7ea49a98b4dd3683120857

Resolves: tdf#98636 if the menubar hierarchy has been changed

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.